module TAK2HATA
module SU2MITSUBA
module SETTINGS
	class MITSUBA_MATERIAL_PCIKER
		def initialize( wdlg )
			@mitsuba_material_wdlg = wdlg
			@ip = Sketchup::InputPoint.new
		end

		def activate
			self.reset(nil)
		end

		def deactivate(view)

			view.invalidate
		end

		def onCancel(flag, view)
			Sketchup.active_model.selection.clear
			Sketchup.send_action("selectSelectionTool:")
		end

		def reset(view)
			@ip.clear
			Sketchup.set_status_text( "CLICK MATERIAL" )
			@drawn = false
		end
		
		def onLButtonDown(flags, x, y, view)
			@ip.pick( view, x, y )
		end
	end
end
end
end
